sudo: required
services:
    - docker

env:
    global:
        - CI_ROOT="$TRAVIS_BUILD_DIR/ci/"

jobs:
    include:
        - stage: Build & test
          name: CentOS 7
          language: bash
          env:
              - CENTOS_RELEASE="centos7"
              - CONT_NAME="systemd-centos-$CENTOS_RELEASE"
              - DOCKER_EXEC="docker exec -ti $CONT_NAME"
          before_install:
              - sudo apt-get -y -o Dpkg::Options::="--force-confnew" install docker-ce
              - docker --version
          install:
              - if [ -f meson.build ]; then RHEL_VERSION=rhel8; else RHEL_VERSION=rhel7; fi
              - $CI_ROOT/travis-centos-${RHEL_VERSION}.sh SETUP
          script:
              - set -e
              # Build systemd
              - $CI_ROOT/travis-centos-${RHEL_VERSION}.sh RUN
              - set +e
          after_script:
              - $CI_ROOT/travis-centos-${RHEL_VERSION}.sh CLEANUP
